//////////////////////////////////////////////////////////
//
//	MwlAghControls
//
//////////////////////////////////////////////////////////

#ifndef __MwlAghControls_H__
#define __MwlAghControls_H__

#include "MwlAghCommon.h"

#ifdef __MWLAGH_DLL
	class _MWLAGH_LIB_EXP agh::CWindowBase;
#endif

class CMyuWindow_MwlAghCallback;

//	クラス宣言
class _MWLAGH_LIB_EXP CMwlAghControls : public agh::CWindowBase
{
private:
	//CMyuWindow m_window;
	//CMyuWindow_Agh m_window;
	//void* m_pWindow;
	CMyuWindow_MwlAghCallback* m_pWindow;
	agh::CWindowBase *m_pOnTarget;

public:
	//	コンストラクタ・デストラクタ
	CMwlAghControls();
	CMwlAghControls(agh::CWindowBase* pOnTarget);
	virtual ~CMwlAghControls();

	virtual void Start();
	virtual void SetWindowTitle(const char* szTitle);

	virtual void EnableDropFiles();
	virtual void DisableDropFiles();

	virtual void* GetInternalPtr(){ return m_pWindow; }
};

//typedef CMwlAghControls CAugustImage;

namespace mwlagh
{
	typedef ::CMwlAghControls CWindow;
}

#endif//__MwlAghControls_H__
